%define oname ktp-send-file

Summary:	File Manager plugin to launch a file transfer job with a specified contact
Name:		telepathy-kde-send-file
Version:	17.12.3
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://projects.kde.org/projects/playground/network/telepathy/telepathy-send-file
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kio-devel
BuildRequires:	ktp-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(TelepathyQt5)
Requires:	telepathy-kde-common-internals

%description
A File manager plugin to launch a file transfer job with a specified contact.

%files -f %{oname}.lang
%{_kde5_bindir}/ktp-send-file
%{_kde5_services}/ServiceMenus/ktp-send-file.desktop

#--------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{oname}

%changelog

* Mon Mar 19 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.12.3-1
- (25d4993) New version 17.12.3


